<form [formGroup]="accountForm" autocomplete="off" (ngSubmit)="saveAccount()">
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <label for="staticId" class="col-sm-2 col-form-label">ID</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" id="staticId" formControlName="id">
    </div>
  </div>
  <div class="form-group row">
    <label for="inputEmail" class="col-sm-2 col-form-label">Account Email</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" id="inputEmail" formControlName="email"
             [ngClass]="{'is-invalid': accountForm.get('email').touched && !accountForm.get('email').valid }">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('email').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputFirstName" class="col-sm-2 col-form-label">First Name</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" id="inputFirstName" formControlName="firstName"
             [ngClass]="{'is-invalid': accountForm.get('firstName').touched && !accountForm.get('firstName').valid }">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('firstName').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputLastName" class="col-sm-2 col-form-label">Last Name</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" id="inputLastName" formControlName="lastName"
             [ngClass]="{'is-invalid': accountForm.get('lastName').touched && !accountForm.get('lastName').valid }">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('lastName').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <label for="inputCardId" class="col-sm-2 col-form-label">Card ID</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" id="inputCardId" formControlName="cardId"
             [ngClass]="{'is-invalid':!accountForm.get('cardId').valid}">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('cardId').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <label for="inputBalance" class="col-sm-2 col-form-label">Balance</label>
    <div class="col-sm-10">
      <div class="input-group">
        <input class="form-control" id="inputBalance" formControlName="balance" aria-label="Balance Currency"
               aria-describedby="addonBalanceCurrency"/>
        <div class="input-group-append">
          <span class="input-group-text" id="addonBalanceCurrency">EUR</span>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputOverdraft" class="col-sm-2 col-form-label">Overdraft facility</label>
    <div class="col-sm-10">
      <div class="input-group">
        <input class="form-control" id="inputOverdraft" formControlName="overdraft"
               type="number"
               aria-label="Overdraft Facility Currency"
               aria-describedby="addonOverdraftCurrency"
               [ngClass]="{'is-invalid':!accountForm.get('overdraft').valid}">
        <div class="input-group-append">
          <span class="input-group-text" id="addonOverdraftCurrency">EUR</span>
        </div>
      </div>
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('overdraft').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputDiscount" class="col-sm-2 col-form-label">Discount facility</label>
    <div class="col-sm-10">
      <div class="input-group">
        <input class="form-control" id="inputDiscount" formControlName="discount"
               type="number"
               aria-label="Discount Facility Currency"
               aria-describedby="addonDiscountCurrency"
               [ngClass]="{'is-invalid':!accountForm.get('discount').valid}">
        <div class="input-group-append">
          <span class="input-group-text" id="addonDiscountCurrency">%</span>
        </div>
      </div>
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('discount').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <div class="col-sm-2">Account State</div>
    <div class="col-sm-10">
      <div class="form-check">
        <input type="checkbox" class="form-check-input" id="checkLocked" formControlName="locked"/>
        <label class="form-check-label" for="checkLocked">
          Locked
        </label>
      </div>
    </div>
  </div>
  <div class="form-group row">
    <div class="col-sm-10">
      <button [disabled]="!accountForm.valid" type="submit" class="btn"
              [ngClass]="{'btn-success': accountForm.valid, 'btn-danger': !accountForm.valid}">
        <span *ngIf="accountForm.get('id').value !== null">UPDATE ACCOUNT</span>
        <span *ngIf="accountForm.get('id').value === null">CREATE ACCOUNT</span>
      </button>
    </div>
  </div>
</form>
